<?php
/**
 * This file is part of webman.
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the MIT-LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @author    walkor<walkor@workerman.net>
 * @copyright walkor<walkor@workerman.net>
 * @link      http://www.workerman.net/
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 */

use Webman\Route;


Route::group('/', function () {
    Route::any('',[app\controller\IndexController::class, 'index']);
 })->middleware([
    #app\middleware\Throttle::class,
    app\middleware\Auth::class,
 ]);

Route::any('/login', [app\controller\login::class, 'index'])->middleware([
   app\middleware\Throttle::class,
]);

Route::any('/login/check', [app\controller\login::class, 'check'])->middleware([
   app\middleware\Throttle::class,
]);



