<?php

namespace app\controller;
use support\Request;
use support\Redis;
use support\View;

class IndexController
{
    public function index(Request $request)
    {
        return view('index');
    }

    public function user(Request $request)
    {
        $redis = Redis::connection('default');
        $user=$redis->hgetall('User');
        View::assign('user', $user);
        View::assign('userinfo', $request->session()->get('userinfo'));
        return view('user');
    }

    public function json(Request $request)
    {
        return json(['code' => 0, 'msg' => 'ok']);
    }

}
